Bug 1318494 - fails to create UEFI bootable media by default
Summary: fails to create UEFI bootable media by default
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1319408 (view as bug list)
Depends On:
Blocks: 1310542
TreeView+ depends on / blocked
 
Reported: 2016-03-17 04:59 UTC by Chris Murphy
Modified: 2016-09-20 02:47 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-04-26 16:34:04 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1330522 None None None Never

Internal Trackers: 1330522

Description Chris Murphy 2016-03-17 04:59:21 UTC
Description of problem:

This version doesn't use dd by default, instead it keeps the MBR and partition type code intact (I used MBR 0x07) which may fail to be recognized on some UEFI firmwares. But mainly it fails because the grub.cfg is malformed so it can't find the kernel or initramfs.


Version-Release number of selected component (if applicable):
liveusb-creator-3.90.0-1.fc24.noarch


How reproducible:
Always.


Steps to Reproduce:
1. Wipe a USB stick (no GPT primary or secondary, or MBR)
2. Create new MBR using fdisk, create new partition type 07
3. Format stick as FAT32.
4. Launch Live USB Creator
5. Select Custom OS and choose Fedora-Workstation-Live-x86_64-24_Alpha-5.iso
6. Click Create Live USB, click on Options and note defaults are 'use dd to write' is not checked, while 'reset the mbr' is checked. Click Write to disk.

Actual results:

UEFI boot fails with
error: file '/images/pxeboot/vmlinux' not found
error: you need to load the kernel first.

Press any key to continue...

Expected results:

Should boot; more specifically dd should be default since we know that works for BIOS and UEFI systems including Macs.

Additional info:

When using dd to create the same media, UEFI computer and Macbook Pro both boot.

Comment 1 John Reiser 2016-03-19 21:51:43 UTC
*** Bug 1319408 has been marked as a duplicate of this bug. ***

Comment 2 John Reiser 2016-03-20 03:59:22 UTC
As noted in duplicate bug 1319408, UEFI booting works if the boot stanza is edited  to remove the '0' character from "vmlinuz0" and "initrd0.img".  [Type 'e' to see the actual stanza, then edit it before typing <Ctrl>-x to boot.]

So there are at least 5 ways to make UEFI booting work:
0. List this manual workaround in the Common Bugs for the Release.
1. Remove the '0' from the source text of the booting stanza for UEFI boot.
2. Create a link or alias in the FAT filesystem so that accesses to vmlinuz0 become re-directed to vmlinuz.
3. Have two separate files that are duplicates (contain the same bytes in the same order): one with name vmlinuz, the other with vmlinuz0.
4. Change the actual filename in the filesystem from vmlinuz to vmlinuz0, and change the non-UEFI booting stanza to refer to vmlinuz0.

Comment 3 Martin Bříza 2016-03-21 10:01:52 UTC
As mentioned in bug 1310542, I'm now building a new release of Fedora Media Writer. Please test if that fixes your problem.

Comment 4 John Reiser 2016-03-21 15:56:05 UTC
Searching koji for "FedoraMediaWriter" (or "fedora-media-writer" etc.) yields no packages.  I guess the package still is  "liveusb-creator" with the builds listed at  http://koji.fedoraproject.org/koji/packageinfo?packageID=6691 .  I will try the Fedora 22 version at http://koji.fedoraproject.org/koji/buildinfo?buildID=747138 .

Comment 5 John Reiser 2016-03-21 17:38:46 UTC
The build does not work on Fedora 22; the approach is not backwards compatible with Fedora 22.

[root@f22]# rpm --freshen liveusb-creator-3.91.0-1.fc22.noarch.rpm
error: Failed dependencies:
	PyQt5 is needed by liveusb-creator-3.91.0-1.fc22.noarch
	python-pyquery is needed by liveusb-creator-3.91.0-1.fc22.noarch
	qt5-qtquickcontrols is needed by liveusb-creator-3.91.0-1.fc22.noarch

Fedora 22 has PyQt4-4.11.4-1.fc22.x86_64, but neither python-pyquery nor qt5-qtquickcontrols.

It is unreasonable to expect that anyone with Fedora 22 will install those dependencies.  Please make a backwards-compatible version.

Comment 6 Chris Murphy 2016-03-21 18:13:54 UTC
(In reply to John Reiser from comment #5)
I think the F22 issue is worthy of a separate bug, and set to block bug 1310542 for tracking.

Comment 7 John Reiser 2016-03-21 19:41:45 UTC
(In reply to Chris Murphy from comment #6)
> I think the F22 issue is worthy of a separate bug, and set to block bug
> 1310542 for tracking.

bug 1319915 "liveusb-creator not backwards compatible with Fedora 22 or Fedora 23"

Comment 8 Fedora Update System 2016-04-11 16:20:02 UTC
liveusb-creator-3.92.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 9 Fedora Update System 2016-04-12 10:52:36 UTC
liveusb-creator-3.92.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 10 Fedora Update System 2016-04-21 16:12:06 UTC
liveusb-creator-3.93.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 11 Fedora Update System 2016-04-21 21:58:54 UTC
liveusb-creator-3.93.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 12 Kamil Páral 2016-04-22 07:38:51 UTC
this is fixed with dd mode by default

Comment 13 Fedora Update System 2016-04-22 17:06:26 UTC
liveusb-creator-3.93.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 14 Fedora Update System 2016-04-24 01:25:03 UTC
liveusb-creator-3.93.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 15 Fedora Update System 2016-04-26 08:13:16 UTC
liveusb-creator-3.93.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 16 Fedora Update System 2016-04-26 16:23:19 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 17 Fedora Update System 2016-04-26 16:32:51 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.